Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Interface ExtendedTraitAccess

All Superinterfaces:
  TraitAccess

All Known Implementing Classes:
  BatikHistogramNormalizationElement, BatikRegularPolygonElement, BatikStarElement, BindableElement, ColorSwitchElement, ExtensionElement, FlowDivElement, FlowLineElement, FlowParaElement, FlowRegionBreakElement, FlowRegionElement, FlowSpanElement, FlowTextElement, GraphicsExtensionElement, PrefixableStylableExtensionElement, StylableExtensionElement, SVGDescriptiveElement, SVGGraphicsElement, SVGOMAElement, SVGOMAltGlyphDefElement, SVGOMAltGlyphElement, SVGOMAltGlyphItemElement, SVGOMAnimateColorElement, SVGOMAnimateElement, SVGOMAnimateMotionElement, SVGOMAnimateTransformElement, SVGOMAnimationElement, SVGOMCircleElement, SVGOMClipPathElement, SVGOMColorProfileElement, SVGOMComponentTransferFunctionElement, SVGOMCursorElement, SVGOMDefinitionSrcElement, SVGOMDefsElement, SVGOMDescElement, SVGOMElement, SVGOMEllipseElement, SVGOMFEBlendElement, SVGOMFEColorMatrixElement, SVGOMFEComponentTransferElement, SVGOMFECompositeElement, SVGOMFEConvolveMatrixElement, SVGOMFEDiffuseLightingElement, SVGOMFEDisplacementMapElement, SVGOMFEDistantLightElement, SVGOMFEFloodElement, SVGOMFEFuncAElement, SVGOMFEFuncBElement, SVGOMFEFuncGElement, SVGOMFEFuncRElement, SVGOMFEGaussianBlurElement, SVGOMFEImageElement, SVGOMFEMergeElement, SVGOMFEMergeNodeElement, SVGOMFEMorphologyElement, SVGOMFEOffsetElement, SVGOMFEPointLightElement, SVGOMFESpecularLightingElement, SVGOMFESpotLightElement, SVGOMFETileElement, SVGOMFETurbulenceElement, SVGOMFilterElement, SVGOMFilterPrimitiveStandardAttributes, SVGOMFlowDivElement, SVGOMFlowLineElement, SVGOMFlowParaElement, SVGOMFlowRegionBreakElement, SVGOMFlowRegionElement, SVGOMFlowRegionExcludeElement, SVGOMFlowRootElement, SVGOMFlowSpanElement, SVGOMFontElement, SVGOMFontFaceElement, SVGOMFontFaceFormatElement, SVGOMFontFaceNameElement, SVGOMFontFaceSrcElement, SVGOMFontFaceUriElement, SVGOMForeignObjectElement, SVGOMGElement, SVGOMGlyphElement, SVGOMGlyphRefElement, SVGOMGradientElement, SVGOMHandlerElement, SVGOMHKernElement, SVGOMImageElement, SVGOMLinearGradientElement, SVGOMLineElement, SVGOMMarkerElement, SVGOMMaskElement, SVGOMMetadataElement, SVGOMMissingGlyphElement, SVGOMMPathElement, SVGOMMultiImageElement, SVGOMPathElement, SVGOMPatternElement, SVGOMPolygonElement, SVGOMPolylineElement, SVGOMRadialGradientElement, SVGOMRectElement, SVGOMScriptElement, SVGOMSetElement, SVGOMSolidColorElement, SVGOMStopElement, SVGOMStyleElement, SVGOMSubImageElement, SVGOMSubImageRefElement, SVGOMSVGElement, SVGOMSwitchElement, SVGOMSymbolElement, SVGOMTextContentElement, SVGOMTextElement, SVGOMTextPathElement, SVGOMTextPositioningElement, SVGOMTitleElement, SVGOMToBeImplementedElement, SVGOMTRefElement, SVGOMTSpanElement, SVGOMURIReferenceElement, SVGOMUseElement, SVGOMViewElement, SVGOMVKernElement, SVGPointShapeElement, SVGStylableElement, SVGURIReferenceGraphicsElement, SVGURIReferenceTextPositioningElement, XBLOMContentElement, XBLOMDefinitionElement, XBLOMElement, XBLOMHandlerGroupElement, XBLOMImportElement, XBLOMShadowTreeElement, XBLOMTemplateElement, XBLOMXBLElement

    public interface ExtendedTraitAccess

extends TraitAccess

Interface for SVG DOM classes to expose information about the traits (XML attributes and CSS properties) their elements support.

Method Summary
`int` | `getAttributeType(String ns, String ln)` Returns the SVG type of the given XML attribute.
`int` | `getPropertyType(String pn)` Returns the SVG type of the given CSS property.
`boolean` | `hasProperty(String pn)` Returns whether the given CSS property is available on this element.
`boolean` | `hasTrait(String ns, String ln)` Returns whether the given trait is available on this element.
`boolean` | `isAttributeAdditive(String ns, String ln)` Returns whether the given XML attribute is additive.
`boolean` | `isAttributeAnimatable(String ns, String ln)` Returns whether the given XML attribute is animatable.
`boolean` | `isPropertyAdditive(String pn)` Returns whether the given CSS property is additive.
`boolean` | `isPropertyAnimatable(String pn)` Returns whether the given CSS property is animatable.
`boolean` | `isTraitAdditive(String ns, String tn)` Returns whether the given trait is additive.
`boolean` | `isTraitAnimatable(String ns, String tn)` Returns whether the given trait is animatable.

Method Detail

### hasProperty

    boolean hasProperty(String pn)

  Returns whether the given CSS property is available on this element.

### hasTrait

    boolean hasTrait(String ns,
                     String ln)

  Returns whether the given trait is available on this element.

### isPropertyAnimatable

    boolean isPropertyAnimatable(String pn)

  Returns whether the given CSS property is animatable.

### isAttributeAnimatable

    boolean isAttributeAnimatable(String ns,
                                  String ln)

  Returns whether the given XML attribute is animatable.

### isPropertyAdditive

    boolean isPropertyAdditive(String pn)

  Returns whether the given CSS property is additive.

### isAttributeAdditive

    boolean isAttributeAdditive(String ns,
                                String ln)

  Returns whether the given XML attribute is additive.

### isTraitAnimatable

    boolean isTraitAnimatable(String ns,
                              String tn)

  Returns whether the given trait is animatable.

### isTraitAdditive

    boolean isTraitAdditive(String ns,
                            String tn)

  Returns whether the given trait is additive.

### getPropertyType

    int getPropertyType(String pn)

  Returns the SVG type of the given CSS property. Must return one of the TYPE_* constants defined in `SVGTypes`.

### getAttributeType

    int getAttributeType(String ns,
                         String ln)

  Returns the SVG type of the given XML attribute. Must return one of the TYPE_* constants defined in `SVGTypes`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.